> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify a magic login code



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json post /api/auth/magic/verify
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/auth/magic/verify:
    post:
      tags:
        - auth
      summary: Verify a magic login code
      operationId: verifyMagicCode
      requestBody:
        content:
          application/json:
            schema:
              properties:
                code:
                  type: string
                email:
                  format: email
                  type: string
              required:
                - email
                - code
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  token:
                    type: string
                  user_id:
                    type: string
                type: object
          description: Verified and session created
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Invalid code
components:
  schemas:
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            hint:
              type: string
            message:
              type: string
          required:
            - code
            - message
          type: object
      type: object

````